let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/828g2nqfgivscv79xykkmgjk0znll08l-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/3qgg8xzdyfd7nql0qlkb1xpnrfz4k1s2-coreutils-8.31/bin";
  bzip2 = "/nix/store/x9iaylq3f8r5y4z7bbgi76dnabh370bi-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/4ib6spndkf8acwzp42xjygwbliq6j3h9-gzip-1.10/bin/gzip";
  xz = "/nix/store/i7z20d9jnjjbz0ynlm2dfg672h4zjnvd-xz-5.2.4-bin/bin/xz";
  tar = "/nix/store/x49zm66i7v2mcj71ppd459hmhllydapc-gnutar-1.32/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/3qgg8xzdyfd7nql0qlkb1xpnrfz4k1s2-coreutils-8.31/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/ddmmzn4ggz1f66lwxjy64n89864yj9w9-nix-2.3.3/bin";
  nixPrefix = "/nix/store/ddmmzn4ggz1f66lwxjy64n89864yj9w9-nix-2.3.3";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/ddmmzn4ggz1f66lwxjy64n89864yj9w9-nix-2.3.3/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
